/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreRepeatgrp;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreRepeatgrpRecord extends UpdatableRecordImpl<TCoreRepeatgrpRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_repeatgrp.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_repeatgrp.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_repeatgrp.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_repeatgrp.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_repeatgrp.fk_key_element</code>.
     * Foreign key to t_core_element_hierarchy
     */
    public void setFkKeyElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_repeatgrp.fk_key_element</code>.
     * Foreign key to t_core_element_hierarchy
     */
    public Integer getFkKeyElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_repeatgrp.max_iteration</code>.
     */
    public void setMaxIteration(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_repeatgrp.max_iteration</code>.
     */
    public Integer getMaxIteration() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreRepeatgrpRecord
     */
    public TCoreRepeatgrpRecord() {
        super(TCoreRepeatgrp.T_CORE_REPEATGRP);
    }

    /**
     * Create a detached, initialised TCoreRepeatgrpRecord
     */
    public TCoreRepeatgrpRecord(LocalDateTime lastchange, Integer pk, Integer fkKeyElement, Integer maxIteration) {
        super(TCoreRepeatgrp.T_CORE_REPEATGRP);

        setLastchange(lastchange);
        setPk(pk);
        setFkKeyElement(fkKeyElement);
        setMaxIteration(maxIteration);
        resetChangedOnNotNull();
    }
}
